# Get detailed information about the UDB proxy service - DescribeUDBProxy

## Overview

Get detailed information about the UDB proxy service






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDBProxy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **UDBProxyID** | string | UDBProxy ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UDBProxyID** | string | UDBProxy Instance ID |**Yes**|
| **UDBProxyIP** | string | UDB Proxy Service IP |**Yes**|
| **UDBProxyPort** | int | UDB proxy service port |**Yes**|
| **State** | string | State |**Yes**|
| **CreateTime** | int | Creation time |**Yes**|
| **ModifyTime** | int | Change time |**Yes**|
| **ReadWeightMode** | int | Read weight mode: 1- Master node mode; 2-Node Balanced Mode; 3- Balance from nodes (excluding master nodes); 5- User defined mode |**Yes**|
| **CPUCores** | int | CPU Cores |**Yes**|
| **Memory** | int | Memory |**Yes**|
| **NodeCount** | int | Node Count |**Yes**|
| **ZoneId** | int | Zone Id |**Yes**|
| **Name** | string | Name |**Yes**|
| **MaxConnection** | int | Maximum number of connections for UDB proxy service |**Yes**|
| **DelayThreshold** | int | Delay threshold (in seconds) |**Yes**|
| **UDBReplicas** | array[[*Replica*](#replica)] | UDB cluster data |**Yes**|
| **Nodes** | array[[*Node*](#node)] | Cluster instance service node data |**Yes**|
| **SQLLimitCount** | int | SQL flow limit quantity |No|
| **SQLRouterCount** | int | SQL routing quantity |No|
| **InstanceVersion** | string | Instance version |No|
| **EnableTransSplit** | int | Whether to enable transaction splitting (1: enable transaction splitting, 2: disable transaction splitting) |No|

#### Data Model


#### Replica

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ID** | string | Database ID |**Yes**|
| **IP** | string | Database IP |**Yes**|
| **Port** | int | Database Service Port |**Yes**|
| **ReadWeight** | int | Read Weight |**Yes**|
| **State** | string | Status |**Yes**|
| **Role** | string | Role [master-Main Library, slave-Sub Library] |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **ModifyTime** | int | Modification Time |**Yes**|
| **JoinState** | boolean | Join the proxy service (true: joined, false: not joined) |**Yes**|
| **Name** | string | Database Name |**Yes**|

#### Node

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ID** | string | Service Node ID |**Yes**|
| **State** | string | Service Node Status |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeUDBProxy
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=DAIoycmE
&UDBProxyID=nCNBolTi
```

### Response Example
    
```json
{
  "Action": "DescribeUDBProxyResponse",
  "CPUCores": 3,
  "CreateTime": 8,
  "DelayThreshold": 4,
  "EnableTransSplit": 3,
  "InstanceVersion": "aqshAbAK",
  "MaxConnection": 7,
  "Memory": 2,
  "ModifyTime": 5,
  "Name": "OlLESJIS",
  "NodeCount": 9,
  "Nodes": [
    {
      "ID": "ttlkSuYX",
      "State": "FZHOtjjk"
    }
  ],
  "ReadWeightMode": 8,
  "RetCode": 0,
  "SQLLimitCount": 2,
  "SQLRouterCount": 3,
  "State": "mHFdpsGC",
  "UDBProxyID": "GkfnbTgu",
  "UDBProxyIP": "wtaQVqRN",
  "UDBProxyPort": 8,
  "UDBReplicas": [
    {
      "CreateTime": 1,
      "ID": "tBnNCgQT",
      "IP": "GhlRZTad",
      "JoinState": "rrshQjQh",
      "ModifyTime": 3,
      "Port": 4,
      "ReadWeight": 50,
      "Role": "hHQYuZQH",
      "State": "pdIdZPxx"
    }
  ],
  "ZoneId": "ObOfZhoE"
}
```





